Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.simulators
Interface DEVDESSSimulatorInterface

All Superinterfaces:
  DESSSimulatorInterface, DEVSSimulatorInterface, nl.tudelft.simulation.event.EventProducerInterface, java.rmi.Remote, java.io.Serializable, SimulatorInterface

All Known Subinterfaces:
  AnimatorInterface

All Known Implementing Classes:
  Animator, DEVDESSSimulator, RealTimeClock

public interface DEVDESSSimulatorInterface
extends DEVSSimulatorInterface, DESSSimulatorInterface

The DEVSDESS simulator embodies both the continuous and the discrete formalism. This simulator takes pre-defined time steps in between it loops over its eventlist. A better name for this formalism would therefore be the DEVSinDESS formalism. More information on Modeling & Simulation can be found in Theory of Modeling and Simulation by Bernard Zeigler et. al.

(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Since:
  1.0
Version:
  1.4 2004-03-26
Author:
  Peter Jacobs

Field Summary

Fields inherited from interface nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface
`EVENTLIST_CHANGED_EVENT`

Fields inherited from interface nl.tudelft.simulation.dsol.simulators.SimulatorInterface
`END_OF_REPLICATION_EVENT, START_EVENT, START_REPLICATION_EVENT, STEP_EVENT, STOP_EVENT, TIME_CHANGED_EVENT, WARMUP_EVENT`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Fields inherited from interface nl.tudelft.simulation.dsol.simulators.DESSSimulatorInterface
`DEFAULT_TIME_STEP, TIME_STEP_CHANGED_EVENT`

Methods inherited from interface nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface
`cancelEvent, getEventList, scheduleEvent, scheduleEvent, scheduleEvent, scheduleEvent, scheduleEvent, setEventList`

Methods inherited from interface nl.tudelft.simulation.dsol.simulators.SimulatorInterface
`getReplication, getSimulatorTime, initialize, isRunning, start, step, stop`

Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`addListener, addListener, addListener, addListener, getEventTypes, removeListener`

Methods inherited from interface nl.tudelft.simulation.dsol.simulators.DESSSimulatorInterface
`getTimeStep, setTimeStep`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.